libogg documentation | libogg release 1.3.5 - 20210603

# ogg_stream_clear

declared in "ogg/ogg.h";

This function clears and frees the internal memory used by the ogg_stream_state struct, but does not free the structure itself. It is safe to call ogg_stream_clear on the same structure more than once.

    int ogg_stream_clear(ogg_stream_state *os);

### Parameters

os
  Pointer to the ogg_stream_state struct to be cleared.

### Return Values

> - 0 is always returned.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.5 - 20210603